3v4l.org

run code in 200+ php & hhvm versions
Bugs & Features
<?php function foo() { try { throw new Exception("ex1"); } finally { try { throw new Exception("ex2"); } catch (Exception $e) { echo "caught exception: $e ....\n"; } echo "end of finally.\n"; } echo "This should not get executed.\n"; } foo();
based on VhoWW
Output for 7.0.0 - 7.2.0
caught exception: Exception: ex2 in /in/ubT8H:8 Stack trace: #0 /in/ubT8H(17): foo() #1 {main} .... end of finally. Fatal error: Uncaught Exception: ex1 in /in/ubT8H:5 Stack trace: #0 /in/ubT8H(17): foo() #1 {main} thrown in /in/ubT8H on line 5
Process exited with code 255.
Output for 5.6.8 - 5.6.28
caught exception: exception 'Exception' with message 'ex2' in /in/ubT8H:8 Stack trace: #0 /in/ubT8H(17): foo() #1 {main} .... end of finally. Fatal error: Uncaught exception 'Exception' with message 'ex1' in /in/ubT8H:5 Stack trace: #0 /in/ubT8H(17): foo() #1 {main} thrown in /in/ubT8H on line 5
Process exited with code 255.
Output for 5.5.24 - 5.5.35
caught exception: exception 'Exception' with message 'ex1' in /in/ubT8H:5 Stack trace: #0 /in/ubT8H(17): foo() #1 {main} Next exception 'Exception' with message 'ex2' in /in/ubT8H:8 Stack trace: #0 /in/ubT8H(17): foo() #1 {main} .... end of finally.
Output for 5.4.7 - 5.4.45
Parse error: syntax error, unexpected 'finally' (T_STRING), expecting catch (T_CATCH) in /in/ubT8H on line 6
Process exited with code 255.
Output for 5.3.17 - 5.3.29
Parse error: syntax error, unexpected T_STRING, expecting T_CATCH in /in/ubT8H on line 6
Process exited with code 255.